In this chapter the known limitations of working with Chroma are described.

Limitations

  • [Built-in RP]: Any version since Unity 2019 LTS is supported.
  • [URP]: Requires version 10.0.0 or later, which corresponds to Unity version 2020.3.0 LTS or higher.
  • [HDRP]: Requires version 11.0.0 or later, which corresponds to Unity version 2021.2.0 or higher.
  • Demo scenes are using URP. Please install it from the Package Manager to run the demo scenes.
  • [Shader Graph + Built-in RP + Unity 2020-2021]. In this combination Shader Graph has limited functionality due to Unity‚Äôs constraints. Chroma does fully support code shaders with Built-in RP in all Unity version and it does fully support Built-in RP + Shader Graph combination in Unity 2022 or later.